
This file lists changes to the Babel files in reverse chronological order.
NOTE:  This file is based on the developers' personal change-log files
and is provided for convenience only.  It therefore makes no claims to
completeness or accuracy and it contains some references to files that
are not part of the distribution.

==========================================================================


2003-11-26 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Multiple languages}): Since the equal
	sign may be used in TeX programming it needs to have it's default
	category code during language definition file processing. When
	turkish is loaded this isn't the case. Therefor the macros
	Ldfinit, ldf@quit and ldf@finish have been changed accordingly.
	Problem reported in PR 3398 by myself as occuring with latin.

2003-11-20 Johannes Braams <babel@latex-project.org>

	* catalan/catalan.dtx : Fixed a typo,
	found by Ignasi Furió <ignasi.furio@uib.es> \AtBeginDocuemnt

	* magyar/magyar.dtx : Translation for `Glossary' provided by
	franciszek holop <fred@pentacom.sk>

2003-11-17 Johannes Braams <babel@latex-project.org>

	* danish/danish.dtx : The default setting of the hyphenmin
	parameters was missing; noticed by Arne Glenstrup
	<panic@com.dtu.dk>.

	* catalan/catalan.dtx : Translation for `Glossary' provided by
	<antispam@wanadoo.es> 

	* bahasa/bahasa.dtx : Translation for `Glossary' provided by
	(Jörg Knappen) <joerg.knappen@uni-mainz.de>

	* base/babel.dtx (subsection{Shorthands}): Changed the definition
	of \active@prefix to take \@unexpandable@rotect into account in
	order to make sure that the showkeys package shows the correct
	label (PR3547 by Cyril Carrez <cyril.carrez@enst.fr>

	* english/english.dtx : The default setting of the hyphenmin
	parameters was missing.

2003-11-16 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Multiple languages}): Added a
	seperate error message for the case where the hyphenation patterns
	where loade, but the option wasn't specified. (PR 3329 by
	was@VR-Web.de (Walter Schmidt))

2003-11-15 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{marks}): Added the command
	\bbl@resotre@actives to markright and and markboth. This is needed
	for the situation when the output routine kicks in while
	\@safe@actives is in effect. PR3335 from Werner Lemberg
	<wl@gnu.org> shows that this can happen while LaTeX is processing
	a bibitem.

2003-11-14 Johannes Braams <babel@latex-project.org>

	* spanish/spanish.dtx: Received a new version from Javier Bezos

	* frenchb/frenchb.dtx : Received a new version from Daniel flipo

2003-11-13 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Multiple languages}): removed a line
	with \let\bbl@pop@language\relax as it prevents the stack
	mechanism from working (PR3583, Daniel Flipo)
	(subsection{Language options}): Added the interlingua option,
	support provided by Peter Kleiweg <kleiweg@let.rug.nl> and Alberto
	Mardegan <mardy@despammed.com>

2003-10-07 Johannes Braams <babel@latex-project.org>

	* magyar/magyar.dtx : When \l@magyar and \l@hungarian were both
	undefined to begin with \l@hungarian staied undefined. Fixed this.

2003-10-04 Johannes Braams <babel@latex-project.org>

	*  hebrew/hebrwe.dtx: Fixed \hebr and \gim which gave missing
	endcsname errors; added two \fi to \@@gim which were missing
	
2003-09-29 Johannes Braams <babel@latex-project.org>

	* magyar/magyar.dtx : Added \def\@safe@activesfalse{} to
	\hun@tempadef to fix PR3426, submitted by Bálint Aradi
	<aradi@surphy.fat.bme.hu>

2003-09-19 Johannes Braams <babel@latex-project.org>

	* catalan/catalan.dtx: The commands \l and \L didn't work when the
	package fontenc with encoding T1 was loaded after
	babel. Postponing them to \begin{document} helps.

2003-09-18 Johannes Braams <babel@latex-project.org>

	* magyar/magyar.dtx: The \if-\else-\fi construction which checks
	the existnece of \l@magyar and \l@hungarian was malformed, in
	effect making l@hungarian undefined when hte patterns were loaded
	under that name

2003-09-12 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): The fix for PR 3383
	didn't make it into the code corretly. \aliasshorthand was broken
	as well, the new shorthand was not "deactivated" by verbatim. 

2003-08-25 Johannes Braams <babel@latex-project.org>

	* greek/athnum.dtx: Received a new version from Apostolos
	Syropoulos
	* french/french.dtx: Received a new version from Daniel flipo
	
2003-06-15 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Language options}): Create fd file
	with fontfamily substitutes with a lowerase filename

2003-06-14 Johannes Braams <babel@latex-project.org>

	* bulgarian/bulgarian.dtx (section{The Bulgarian language}): Added
	missing closing brace in definition of \@alph@eng; found by Hilmar
	Preusse <hille42@web.de>; reported as PR3533

2003-06-10 Johannes Braams <babel@latex-project.org>

	* romanian/romanian.dtx : Translation for `Glossary' provided by
	Costin Stroie <thubi@med.pub.ro>

2003-06-07 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Language options}): No longer load
	Bernard Gaulle french.ldf when the option `french' was specified;
	always load frencb.ldf instead. This change was made after reports
	that documents are no longer portable whrn the option `french' is
	used. 

2003-05-23 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsubsection{General}): Now define
	\FOREIGNLANGUAGE unconditonally as it might turn up in the
	argument of \MakeUpperCase (PR3438)

	* galician/galician.dtx : Translation for `Glossary' provided by
	Xoán Pedracova <xpedra@com.uvigo.es>

	* portuges/portuges.dtx : Translation for `Glossary' provided by
	Camilo Yamauchi Campo <ccampo@icmc.sc.usp.br> and Xoán Pedracova
	<xpedra@com.uvigo.es>

2003-04-14 Johannes Braams <babel@latex-project.org>

	* italian/italian.dtx: Received a new version of italian.dtx from
	Claudio Beccare, removing functionality that has become available
	in the LaTeX Kernel.

	* latin/latin.dtx: Received a new version of latin.dtx from
	Claudio Beccari; solving PR 3523.

2003-04-10 Johannes Braams <babel@latex-project.org>

	* greek/greek.dtx : When loading polutoniko greek after frenchb
	LaTeX crashes because frenchb makes the `!' an active
	charcter. Found by christian@justen-mack.de (Christian Justen)
	(PR 3505)

2003-04-10 Johannes Braams <babel@latex-project.org>

	* bulgarian/bulgarian.dtx : Fixed typo which prevented \@SS to be
	defined. Found by "Dimitar Vandev" <vandev@math.bas.bg>

	* danish/danish.dtx : Translation for `Glossary' provided by
	Morten H{\o}gholm <moho01ab@student.cbs.dk> in PR 3500

2003-04-09 Johannes Braams <babel@latex-project.org>

	* frenchb/frenchb.dtx : New version (1.6b) from Daniel which now
	takes guillemets in OT1 from OT4, no longer from OT2/wncyr, thus
	providing better cooperation between franch and russian.

2003-03-19 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Encodig issues (part 1)}): the
	command \textlatin needs to start with \leavevmode in order to
	start a paraghraph before the group instead of inside it. found by
	Frank Mittelbach.
	* greek/greek.dtx (subsection{Greek numbering}): Similar change
	for \textgreek.
	* frenchb/frenchb.dtx : New version (1.6a) from Daniel which
	offers the possibility of having footnotes typeset as required by
	the French `Imprimerie Nationale'.

2003-03-18 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Multiple languages}): Use a stack
	mechanism to keep track of nested languages. When more than one
	level of nesting occurs TeX's grouping mechanism no longer works
	as needed. Problem first mentioned by Daniel Flipo
	<Daniel.Flipo@univ-lille1.fr> in july 2002.
	
2002-01-09 Johannes Braams <babel@latex-project.org>

	* icelandic/icelandic.dtx : Added translation for Glossary as
	supplied by Erlendur S Þorsteinsson <esth@erlendur.com>

2002-01-07 Johannes Braams <babel@latex-project.org>

	* esperanto/esperanto.dtx : Added translation for Glossary as
	supplied by Dominique Unruh <dominique@unruh.de>

	* basque/basque.dtx : Received a new version from Juan
	Aguirregabiria, change the ur;'s for the patterns file, translated
	Glossary, revised definition of "-.

2001-11-16 Johannes Braams <babel@latex-project.org>

	* swedish/swedish.dtx : Fixed a changes entry (reported by Frederic
	Boulanger <Frederic.Boulanger@supelec.fr>)
	* hebrew/hebrew.dtx : Fixed a changes entry (reported by Frederic
	Boulanger <Frederic.Boulanger@supelec.fr>)

2001-11-15 Johannes Braams <babel@latex-project.org>

	* magyar/magyar.dtx: Corrected checksum. (reported by Frederic
	Boulanger <Frederic.Boulanger@supelec.fr>)

2001-11-13 Johannes Braams <babel@latex-project.org>

	* finnish/finnish.dtx : According to  Niilo Siljamo
	<Niilo.Siljamo@fmi.fi> and Matti Rintala <matti.rintala@tut.fi>
	the definition of "= should use \bbl@allowhyphens instead of
	\allowhyphens. (PR 3378)

2001-11-11 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): The user level
	shorthands were broken. Fixed this by using the \lccode
	trick. PR 3383 found by Nicolae-Alexandru Nicorovici
	<nicolae@physics.usyd.edu.au>.

2001-03-12 Johannes Braams <babel@latex-project.org>

	* swedish/swedish.dtx, finnish/finnish.dtx : Translations for
	`Glossary' were provided by Martin Vermeer mv@liisa.pp.fi

2001-03-05 Johannes Braams <babel@latex-project.org>

	* magyar/magyar.dtx : Make sure the the `-character has catcode
	12 when the .aux file is being read in the second time. (see also
	change to catalan.dtx d.d. 1999-11-29.
	Found by Gyori Sandor <gyori@szit.bme.hu>

2001-03-01 Johannes Braams <babel@latex-project.org>

	* frenchb/frenchb.dtx (subsection{Caption names}): Added a missing
	comment character.

	* base/babel.dtx: Added a number of missing comment characters
	which could produce spurious whitespace in documents.
	Found by Daniel Flipo <flipo@univ-lille1.fr>.

2001-02-21 Johannes Braams <babel@latex-project.org>

	* cyrillic/{russianb,ukraineb}.dtx : commented out the code that
	was copied from amsmath as it genereated a textfont 7 error. This
	was reported in PR3226 and PR3245

2001-02-20 Johannes Braams <babel@latex-project.org>

	* galician/galician.dtx : Added translation for Proof, provided by
	"Emilio Perez Gonzalez" <eperez@cesatel.net>.

2001-02-19 Johannes Braams <babel@latex-project.org>

	* catalan/catalan.dtx : Added setting of hyphenation parameters to
	two as required by the Catalan hyphenation patterns cahyph.tex.

2001-02-16 Johannes Braams <babel@latex-project.org>

	* portuges/portuges.dtx : According to the Portuguese hyphenation
	pattern file the \righthyphenmin value should be set to 3 instead
	of 2.
	Reported by "Walter Schmidt" <was@VR-Web.de> (PR3303)

	* greek/grmath.dtx: New version of this file from Apostolo with
	two new options, grlog and enlog.

	* frenchb/frenchb.dtx : New version (1.5d) from Daniel which makes
	french the internal name instead of frenchb.

2001-02-13 Johannes Braams <babel@latex-project.org>

	* cyrillic/ukraineb.dtx : Added the translation for "glossary" as
	provided by Andrij Shvaika <ashv@icmp.lviv.ua> in PR3306

2001-02-09 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Language options}): Added options
	canadien and acadian.
	(subsection{Multiple languages}): The CJK package adds an extra
	level of grouping to the document through a redefinition of the
	\documentclass macro.
	Found by Daniel FLIPO <flipo@univ-lille1.fr>.
	(subsubsection{\pkg{fancyhdr}}): In order to prevent unexpected
	results in documents that use fancyhdr combined with the book
	class we need to define \FOREIGNLANGUAGE.
	Found by Piet van Oostrum <piet@cs.uu.nl> (PR3238)

	* frenchb/frenchb.dtx : New version (1.5) from Daniel Flipo;
	Added support for canadien and acadian on request from "Garst
	R. Reese" <reese@isn.net> and the LyX developpers.

2001-02-07 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Language options}): Added the
	canadian option on request from "Garst R. Reese" <reese@isn.net>
	and the LyX developpers.

	* english/english.dtx : Added support for loading with the option
	canadian. 

2001-02-06 Johannes Braams <babel@latex-project.org>

	* german/ngermanb.dtx : Made the option ngermanb act as if ngerman
	was specified.

	* greek/greek.dtx : Regression testing revealed that ^^9f can't be
	fed to \initiate@active@char as such. It seemed to work, but made
	the caret active and brok in combination with a language that
	already had made the caret active. To circumvent this greek now
	uses the decimal number notation (159) instead of ^^9f where
	possible and makes the tilde act as ^^9f for the purpose of
	declaring it active.

2001-01-26 Johannes Braams <babel@latex-project.org>

	* german/(n)germanb.dtx : Added \frenchspacing to extrasgerman as
	it is in german.sty. Reported in PR3090 by Heiko Oberdiek
	<oberdiek@ruf.uni-freiburg.de>.

2001-01-19 Johannes Braams <babel@latex-project.org>

	* base/bbcompat.dtx: Added options for USenglish and UKenglish and
	made sure that the right files are created from bbcompat for plain
	TeX users. British.sty (and the others) were missing. Found by
	Bernard Treves Brown <mcnbjtb@fs4.in.umist.ac.uk>.

2001-01-12 Johannes Braams <babel@latex-project.org>

	* norsk/norsk.dtx : Changed \ccname and \alsoname according to a
	message from Dag Langmyhr <dag@ifi.uio.no> and  Karl Ove
	Hufthammer <huftis@bigfoot.com> 

2000-12-11 Johannes Braams <babel@latex-project.org>

	* italian/italian.dtx : Added the translation for Glossary as
	provided by Claudio Beccari <Beccari@polito.it>.

2000-10-28 Johannes Braams <babel@latex-project.org>

	* norsk/norsk.dtx: Replaced Glossary with its translation from
	Rune Kleveland <runekl@math.uio.no>

	* frenchb/frenchb.dtx: Daniel Flipo added
	\ThinSpaceInFrenchNumbers

2000-10-26 Johannes Braams <babel@latex-project.org>

	* greek/greek.fdd : Added more font sizes to make the CB fonts
	compatible with the EC fonts as suggested by Ken Smith
	<kgs@maths.uq.edu.au> 

2000-10-25 Johannes Braams <babel@latex-project.org>

	* greek/greek.dtx: The final sigma in all names should appear as
	`s' instead of `c'

2000-10-04 Johannes Braams <babel@latex-project.org>

	* samin/samin.dtx: Replaced the word `Glossary' with its
	translation supplied by Regnor Jernsletten
	<Regnor.Jernsletten@sami.uit.no>

2000-10-02 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): When the acute has been
	made active for one language, an it gets switched to 'non-active'
	for a second language we get a "double superscript" error. using
	\textormath prevents this.
	Found by Javier Bezos <jbezos@wanadoo.es> (PR3266)

	* base/bbplain.dtx: Added \textquotedblleft and \textquoteleft
	after PR 3263, found by Enn Saar, <saar@aai.ee>

2000-10-01 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Cross referencing macros}): The
	optional argument of \cite is used for typesetting. Therefor the
	shorthands need only to be turned off in the second
	argument. Redefinition of \@citex changed accordingly, also taking
	care of natbib and cite.sty versions of it.
	Found by Javier Bezos <jbezos@wanadoo.es> (PR3262)

2000-09-26 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Language options}): Added the
	samin option; support was provided by Regnor Jernsletten
	<Regnor.Jernsletten@sami.uit.no>

2000-09-25 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Multiple languages}): Use
	the \cs{aftergroup} mechanism to keep the language grouping
	correct in auxiliary files ; this involves an extra level of
	expansion with \bbl@set@language.
	PR3091, found by Igor A. Kotelnikov <kotelnikov@nsu.ru>

2000-09-22 Johannes Braams <babel@latex-project.org>

	* all relevant language files: Now use \providehyphenmins in order
	to provide default values instead of overruling any settings from
	the hyphenation patterns file.

2000-09-21 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Language options}): Added the
	bulgarian option; support was provided by Georgi Boshnakov
	<mcbssgb2@fs2.umist.ac.uk> 

2000-09-19 Johannes Braams <babel@latex-project.org>

	* all language files: Added \glossaryname with the default
	translation of "Glossary" after a suggestion from Thomas Henlich
	<henlich@mmers1.mw.tu-dresden.de>

	* polish/polish.dtx: according to "Adalbert Jahnz"
	<ad_jahnz@hotmail.com> the definitions of \refname and \bibname
	were swapped. Corrected.

	* finnish/finnish.dtx: The definition of \- still used
	\allowhyphens instead of bbl@allowhyphens; found by Matti Hollberg
	<hollberg@arska.fys.utu.fi> and Rintala Matti <bitti@cs.tut.fi>

	* base/babel.dtx (subsection{Macros common to a number of
	languages}): The macro \save@fs@q starts a paragraph inside a
	group when called in vertical mode.It shouldn't do that.  Donald
	Arseneau <ASND@erich.triumf.ca> proposed a different
	implementation in PR3219 

2000-06-29 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsubsection{\pkg{ifthen}}): When babel changes
	the definition of \ifthenelse in order to give \pageref it's
	original definition it needs to revert \pageref to its babel
	version inside the 2nd and 3rd arguments; not after the
	\ifthenelse instruction.
	PR 3224, found by Heiko Oberdiek <oberdiek@ruf.uni-freiburg.de>

2000-02-29 Johannes Braams <babel@latex-project.org>

	* norsk/norsk.dtx: The shorthands are the same for both spelling
	variants; no need to use \CurrentOption in \declare@shorthand. The
	way it was done didn't work anyway,
	Found by Rune Kleveland <runekl@math.uio.no>

2000-02-18 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Multiple languages}): Added the
	command \providehyphenmins to be used in the .ldf files. It will
	check whether the hyphenmin parameters were set by the hypheantion
	pattern file.

2000-02-04 Johannes Braams <babel@latex-project.org>

	* greek/greek.dtx : After \selectlanguage{polutonikogreek} the
	fonts were not reset when returning to an english environment
	PR3168, found by Maarten Wisse, <mwisse@theo.uu.nl>

2000-01-28 Johannes Braams <babel@latex-project.org>

	* norsk/norsk.dtx : In the definition of "- we should use
	\bbl@allowhyphens instead of \allowhyphens. 
	Found by Rune Kleveland <runekl@math.uio.no>

2000-01-21 Johannes Braams <babel@latex-project.org>

	* english/english.dtx : When the option USenglish was used the
	format of the date was *not* american. Also, in some cases the
	control sequence \l@<\Currentoption> was not properly
	defined. Found by Walter Schmidt <walter.schmidt@arcormail.de>

2000-01-20 Johannes Braams <babel@latex-project.org>

	* swedish/swedish.dtx: Additions from Erik Östhols
	<erik_osthols@yahoo.com>:
	- The unnecessary version of "=, which I really only included at
	the time because it was there in germanb.dtx, from whence I stole
	most (all?) of my ideas then, has been modified to something that
	is actually useful for typesetting Swedish, and which was (again)
	stolen from the finnish.dtx file. 
	- The likewise unnecessary "~, again stolen from germanb without
	my having a clear idea of why it would be useful, has been
	deleted.
	- The new and *very* useful version of \- as found in
	e. g. finnish.dtx has been included. 
	- The definitions of "a, "A, "o etc. have been changed to allow
	subsequent hyphenation, as in current versions of germanb.
	- As typesetting the date as "20 januari 2000" is, if not
	uncommon, then at least much less common than some other varieties
	of formatting of dates in Sweden, two commands have been added to
	provide for the much more common "20/1 2000" and "2000-01-20".

2000-01-08 Johannes Braams <babel@latex-project.org>

	* polish/polish.dtx : The definition of \datepolish contained an
	unwanted space which appeared in the output., Found by Ilya Beylin
	<ilya@cs.chalmers.se>.

1999-12-18 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): Introduced an extra
	level of expansion in the definition of an active caret

	* esperant/esperant.dtx : Moved the check for math mode in the
	definition of the ^ to babel.def in case some other language needs
	to have ^ as a shorthand character as well.

1999-12-16 Johannes Braams <babel@latex-project.org>

	* catalan/catalan.dtx : Make sure that the shorthand characters
	are turned off outside of catalan. Found by Javier Bezos
	<jbezos@arrakis.es>
	This also holds for other language definitions: basque.dtx,
	breton.dtx, danish.dtx, finnish.dtx, galician.dtx, german.dtx,
	icelandic.dtx, ngerman.dtx, norsk.dtx, polish.dtx, portuges.dtx,
	serbian.dtx, slovene.dtx, swedish.dtx, usorbian.dtx.

1999-12-01 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): Need to redefine
	\prim@s as well as \pr@m@s as plain TeX uses \next and LaTeX uses
	\@let@token. Found by Javier Bezos <jbezos@arrakis.es>

1999-11-29 Johannes Braams <babel@latex-project.org>

	* catalan/catalan.dtx : Make sure the the `-character has catcode
	12 when the .aux file is being read in the second time. If it is
	active when \catcode``\active is read errors result. Found by
	Javier Bezos <jbezos@arrakis.es>

1999-11-22 Johannes Braams <babel@latex-project.org>

	* basque/basque.dtx: fixed a few doc errors as suggested by
	Jean-François Mertens <jfm@core.ucl.ac.be>

	* norsk/norsk.dtx : Added the french double quotes, changed the
	definition of "f based on the german definition; enhanced
	documentation; all by Rune Kleveland <runekl@math.uio.no>

1999-09-30 Johannes Braams <babel@latex-project.org>

	* esperant/esperant.dtx : Added a chack for math mode to the
	definition of the active ^.

1999-09-29 Johannes Braams <babel@latex-project.org>

	* greek/greek.dtx : The greek language support now makes use of
	the language attribute feature. But in order not to break older
	documents some extra code is needed to make the option
	polutonikogreek work.

1999-09-16 Johannes Braams <babel@latex-project.org>

	* base/bbplain.dtx (section{Support for formats based on
	\textsc{plain}\TeX}): Added the command \@ifundefined which is
	used in the definition of active charcters since Babel 3.6Z

1999-09-06 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): The change from 08/27
	was rubbish; now use \let instead of \edef
	
1999-08-27 Johannes Braams <babel@latex-project.org>

	* cyrillic/{russianb,ukraineb}.dtx : Made not using the inputenc
	package a warning rather than an Error message after user
	requests.

1999-08-19 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): The proposed fix for
	PR3050 doesn't work; use \strip@prefix\meaning.

1999-08-18 Johannes Braams <babel@latex-project.org>

	* frenchb/frenchb.dtx (subsection{Date and clean up}): No longer
	use \edef to define \today; the accent commands are not expandable
	and generate error messaages. (PR 3083, found by Thomas Esser
	<te@informatik.uni-hannover.de>)

1999-06-22 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): When the shorthand
	character is already active make sure it gets expanded once
	instead of fully when \normal@char<char> is defined. This can be
	acheived by using \expandafter\noexpand (PR 3050, found by Joachim
	Becker <jbecker1@gwdg.de>)

1999-04-30 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Shorthands}): Only realy initiate a
	shorthand once (suggested by Javier Bezos)

	* italian/italian.dtx : Claudio Beccari introduced the " as  a
	shorthand to insert the compound word mark (when the encoding is
	T1) and added support for ISO 31/XI regulations

1999-04-29 Johannes Braams <babel@latex-project.org>

	* greek/greek.fdd (section{The encoding definition file}): Removed
	the refinition of \& from the encoding file as it doesn't belong
	there.

	* greek/greek.dtx : Now switch the definition of \& via
	\extrasgreek (removed from the font encoding file); the greek
	fonts do not contain an &-sign.

1999-04-22 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Multiple languages}): In some
	situations \lefthyphenmin remained equal to -1. This setting is
	now inside the group in which patterns are read. Also added the
	explicit setting of the hyphenmin paramters for language=0 as this
	didn't happen when the first pattern file changes \lefthyphenmin.
	For synonym languages the hyphenmin parameters were not set, this
	is now accomplished by storing the \languagename in \process@line
	Suggested by Vladimir Volovich <vvv@vvv.vsu.ru>

1999-04-21 Johannes Braams <babel@latex-project.org>

	* base/babel.dtx (subsection{Cross referencing macros}): It was
	reported by  Richard Walker <Richard.Walker@cs.anu.edu.au>
	(PR 3023) and "Igor A. Kotelnikov" <kotelnikov@nsu.ru> that babel
	brok the cite package This could be solved by *not* redefining
	\bibcite when the cite package is loaded.
	During testing it became clear that running the document the first
	time produced an error; solved by adding an \AtBeginDocument
	action. (babel 3.6v)

1999-04-20 Johannes Braams <babel@latex-project.org>

	* base/bbcompat.dtx: Added code to issue a sensible error when the
	.sty files are loaded from LaTeXe; but made sure the document can
	be processed without complaints about \ProvidesLanguage not defined.
	(PR3020, Richard Walker <Richard.Walker@cs.anu.edu.au>)
	Made sure the .sty and .ldf files can be used from plain TeX
	without hyphen.cfg preloaded.

	* base/babel.dtx (section{The Kernel of Babel}): When plain.def is
	loaded from switch.def we need to define \adddialect first in
	order to access the second part. (babel 3.6u)

1999-04-20 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Removed the braces again
	(PR3022) as the cure poses more problems than it solves. Will
	need to find a different solution for the active ^ in esperanto.

1999-04-18 Johannes Braams <babel@latex-project.org>

	* turkish/turkish.dtx : Incorporated corrections received quite
	some time ago from "H. Turgut Uyar" <uyar@cs.itu.edu.tr>

1999-04-16 Johannes Braams <babel@latex-project.org>

	* greek.dtx, babel.dtx : Moved redefinition of \@roman and \@Roman
	back the the greek language support because of the problems it
	causes with the AMS document classes. This problem needs to be
	solved in a different way; \@roman needs to be used in expansion
	only places.
	Reported by Jean-Francois Mertens <jfm@core.ucl.ac.be>(PR 3017)

1999-04-13 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): The
	redefinition of \bibcite didn't work for the natbib package; a
	redefinition that works for natbib doesn't work without it.
	Now bibcite defines itself during the processing of the .aux file
	which is done *before* the \AtBeginDocument commands are executed.
	Found by Niilo Siljamo <siljamo@sateenkaari.meteo.helsinki.fi>
	(PR 3011) (babel 3.6s)

1999-04-12 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Language options}): Re-instated the
	loading of babel.def right at the begining of babel.sty as it is
	needed to define \ProvidesLanguage. The need for postponing it has
	gone, because \bbl@redefine is no longer used as a warning
	mechanism against missing options (changed in 3.6p dd 9/4/99)
	Found by Werner Struckmann <struck@ips.cs.tu-bs.de> (PR 3006) and
	"Walter Schmidt" <wschmi@ibm.net> (PR 3014) babel 3.6r

1999-04-12 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Encodig issues (part 1)}): The parsing of
	\@filelist to determine the latinencoding turend out to fail when a
	file with (default) extension .tex has been loaded. Now use
	\@ifl@aded, assuming all encoding .def files have a ProvidesFile
	entry. Found by "Igor A. Kotelnikov" <kotelnikov@nsu.ru>,
	suggesion by Vladimir Volovich <vvv@vvv.vsu.ru> babel 3.6q

1999-04-10 Johannes Braams <babel@latex-project.org>

	* polish.dtx : Replaced the word `Proof' with its translation
	supplied by Andrzej Komisarski <andkom@kki.net.pl>

1999-04-10 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Language options}): Added the options
	ngerman and naustrian to support the new german orthography, as
	supplied by "Walter Schmidt" <wschmi@ibm.net>

1999-04-09 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{marks}): The solution for PR2990 wasn't
	perfect; the arguments to the \mark... commands need to be stored
	in a token register prior to using \edef.
	(subsection{Language options}): Now check for the existence of
	\bbl@main@language instead of redefining \bbl@redefine to detect
	missing options.
	
1999-04-09 Johannes Braams <babel@latex-project.org>

	* bahasa.dtx : February should be Pebruari according to
	Mohammad DAMT <mdamt@cakraweb.com>

	* babel.dtx : Changed the argument handlling of \process@line in
	order to prevent a trailing space from becoming part of a control
	sequence when defining a synonym
	(from a line such as `=english %')
	Found by Thomas Esser <te@informatik.uni-hannover.de>, (PR 2851)

1999-04-08 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{marks}): Removed th use of \head@lang in
	passing the current language into the marks. This didn't work for
	amsart.cls. Found a new solution wich works for the stansdard
	document classes as well as for amsart.
	Reported by Vittorio Coti Zelati <zelati@cds.unina.it> (PR 2990)

1999-04-07 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Encodig issues}): Needed to move the
	\AtBeginDocument test for the loading of fontenc right up front of
	babel.sty; also added a test for `manual' selection of T1 without
	loading fontenc (via \renewcommand\encodingdefault{T1}) as
	suggested by Claudio Beccari <Beccari@polito.it>

1999-04-05 Johannes Braams <babel@latex-project.org>

	* babel.dtx : Had to implement a diferent way to check for fontenc
	with T1 encoding; now pare \@filelst (PR 3002)

1999-04-05 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Need to set
	default values for lefthyphenmin and righthyphenmin globally now
	that the patterns are read in a group.

	* catalan.dtx, danish.dtx, dutch.dtx, estonian.dtx, finnish.dtx,
	galician.dtx, polish.dtx, portuges.dtx, spanish.dtx, germanb.dtx,
	swedish.dtx usorbian.dtx : changed the definition of "- as
	\allowhyphens is a no-op with T1 now. That is alright for accented
	letters but *not* for "- in these files. 
	Found by Niilo Siljamo <siljamo@sateenkaari.meteo.helsinki.fi>
	(PR 2993, 2995)

1999-04-03 Johannes Braams <babel@latex-project.org>

	* greek/greek.dtx : Made \greeknumeral accept a counter as its
	argument. found by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de> (PR 3000)

	* greek/greek.fdd : Got a new version from Apostolos; repaired a
	few typo's found by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de> (PR 2997)

	* cyrillic/ukraineb.dtx (section{The Ukrainian language}):
	Replaced \CYRUKRI with \CYRII in \authorname, typo, found by 
	Andrij Shvaika <ashv@icmp.lviv.ua>

	* babel.dtx (section{The Package File}): Don't load babel.def from
	babel.sty, but rather define \LdfInit temporarily in order to load
	babel.def at the right time, preventing problems with the
	temporary definition of \bbl@redefine; found by 
	Walter Schmidt <wschmi@ibm.net>, PR 2987 and 
	Andreas Schwab <schwab@issan.cs.uni-dortmund.de>, PR 2998

1999-03-12 Johannes Braams <babel@latex-project.org>

	* croatian.dtx : Changed an occurence of \od into \or; found by
	Damir Medak <medak@geoinfo.tuwien.ac.at> (PR 2918)

	* bahasa.dtx : February is Pebruary in bahasa Indonesia according
	to Mohammad DAMT <mdamt@cakraweb.com>

1999-03-09 Johannes Braams <babel@latex-project.org>

	* babel.dtx : added the ukrainian option, provided by Vladimir
	Volovich <TeX@vvv.vsu.ru> and Andrij Shvaika <ashv@icmp.lviv.ua>

1999-02-28 Johannes Braams <babel@latex-project.org>

	* slovak.dtx : repaired a few spelling mistakes found by 
        Peter Kral <Peter.Kral@swh.sk>

1998-07-02 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Language attributes}): Added support for
	language attributes.

	* bbplain.dtx : Added defintion of \in@, needed for language
	attributes.

1998-06-27 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Added a definition of
	\bbl@redefine before the call to \ProcessOptions. The idea is to
	generate a sensible error message when the user forgets to
	specifiy a language option.

1998-06-25 Johannes Braams <babel@latex-project.org>

	* norsk.dtx : Added the suggestions from Rune Kleveland
	<runekl@math.uio.no> for the " shorthand.

1998-06-15 Johannes Braams <babel@latex-project.org>

	* germanb.dtx : Updated the coding for "f from german.dtx version
	2.5d after a discussion about this subject with Heiko Obrerdiek
	<oberdiek@ruf.uni-freiburg.de> 

1998-06-09 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Changed definition
	of \iflanguage using \bbl@afterelse, \@fristoftwo and
	\@secondoftwo in order to evaluate the selected argument *after*
	the \fi's have been seen by TeX. (PR 2800)
	<oberdiek@ruf.uni-freiburg.de> Heiko Oberdiek)

1998-06-08 Johannes Braams <babel@latex-project.org>

	* install.txt: Changed installation instructions, *not* 
	advising them to rename hyphen.tex, but to use bplain.tex as a
	replacement for plain.tex.
	
	* bbplain.dtx: Added the source for the format replacement wrapper
	files bplain.tex and blplain.tex. This is the result of a
	discussion with a number of people about the permissabillity of
	renaming hyphen.tex. Don Knuth doesn't allow it.

	* germanb.dtx, polish.dtx, usorbian.dtx: changed the definition of
	\mdqon and \mdqoff to use the new commands \shorthandon and
	\shorthandoff. 

	* babel.dtx (section{The user interface}: Added two commands,
	\shorthandon and \shorthandoff as a more general solution to
	PR2627.

1998-03-28 Johannes Braams <babel@latex-project.org>

	* all language definition files: use \def to define \today, in
	order to prevent expansions at the wrong time.

1998-03-27 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Changed the
	redefenition of \bibcite to include \@safe@activesfalse in the
	definition of the reference.

1998-03-13 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Removed
	\@safeactivesfalse from #3 of \@newl@bel and \@testdef

1998-03-12 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Now also execute
	\originalTeX from \foreignlanguage in order to reset a possibly
	changed output encoding. 

1998-03-12 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Encodig issues}): Added the redefinition
	of \TeX and \LaTeX to make them encoding independant.

1998-03-11 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Encodig issues}): Use the T1 encoding when
	it is a known encoding, otherwise use OT1 as latin encoding.

1997-12-19 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Call
	\@safe@activestrue instead of \set@display@protect which casued
	errors.

1997-11-19 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Removed the check for \write
	being primitive. Problem solved in seminar.

1997-11-13 Johannes Braams <babel@latex-project.org>

	* greek.dtx : Received a new version from Apostolous; replaced the
	\greeknumeral coding with an expandable solution

	* babel.dtx (section{The Package File}): Added the option
	polutonikogreek for typesetting greek text with all accents.

1997-11-04 Johannes Braams <babel@latex-project.org>

	* babel.dtx : Removed the braces around #1 of \bbl@tempa in the
	redefinition of \ProvidesFile in hyphen.cfg (PR 2659)
	clase@mathematik.uni-freiburg.de ( Matthias Clasen )
	
1997-10-08 Johannes Braams <babel@latex-project.org>

	* frenchb.dtx: Received a new frenchb.dtx from Daniel Flippo

1997-10-02 Johannes Braams <babel@latex-project.org>

	* dutch.dtx : Added "/ for words written together, indicating a
	choice as in uitdrukking/opmerking

1997-10-01 Johannes Braams <babel@latex-project.org>

	* all language definition files: use \edef to define \today; this
	save memory, see classses.dtx for the motivation.

1997-09-29 Johannes Braams <babel@latex-project.org>

	* turkish.dtx : Added and modified a number of translation as
	provided by "H. Turgut Uyar" <uyar@cs.itu.edu.tr>

1997-09-17 Johannes Braams <babel@latex-project.org>

	* frenchb.dtx: Received a new frenchb.dtx from Daniel Flippo.

1997-09-15 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Added a check for \write
	still being primitive. If not it might have been redefined as
	\immediate\write and in such a case \protected@write needs to set
	\protect to \noexpand instead of making it \@unexpandable@protect
	in order to prevent a \protet kreeping in the .aux file. This
	problem cropped op with the use of seminar.cls and was found by
	Daniel FLIPO <flipo@univ-lille1.fr> 

1997-09-11 Johannes Braams <babel@latex-project.org>

	* polish.dtx : Added translation of `Proof' and changed
	translation of contents from `Spis rzeczy' as suggested by
	Tomasz Michniewski <tomekm@ias.wat.waw.pl>

	* bbplain.dtx : repaired a type (\expoandafter) and added missing
	\endcsname (PR 2553, found by Nicolai Langfeldt <janl@math.uio.no>)

	* croatian.dtx : Replaced a number of translations with better
	ones, provided by Kresimir Fresl <fresl@grad.hr>

1997-04-29 Johannes Braams <babel@latex-project.org>

	* greek.dtx : Selecting the greek language produced unwanted
	whitespace because of lines such as \babel@save`\".
	Found a few typos in the process.

1997-04-25 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands for quotation marks}): The
	definitions of \grq and \grqq should be dependent on the
	fontencoding. Taken the code from german.sty (and adapted it to
	babel). Found by: Stefan Illy <illy@itpgyro1.fzk.de> and
	Bjoern Lorenz <lorenz@rz.charite.hu-berlin.de>

1997-04-20 Johannes Braams <babel@latex-project.org>

	* greek.dtx : made \greek@alph a synonym for \greeknumeral instead
	of having it's own definition.

1997-04-16 Johannes Braams <babel@latex-project.org>

	* babel.dtx: Make multiple loading of babel.def impossible by
	adding a check for the existence of \bbl@afterfi. This was
	triggered by PR 2447 where french.sty loaded babel.def for a
	second time.

1997-04-03 Johannes Braams <babel@latex-project.org>

	* dutch.dtx (and others): remove empty groups after quote
	characters in the shorthand definitions (such as \quotedblbase) in
	order to keep possible kerning. 
	(PR 2454, found by S\o ren Sandmann <sandmann@daimi.aau.dk>)

1997-04-01 Johannes Braams <babel@latex-project.org>

	* dutch.dtx : The definition of "~ was faulty, (forgot to replace
	`german' with `dutch'.
	Found by Maarten Gelderman <mgelderman@econ.vu.nl>

1997-03-21 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): The option
	KeepShorthandsActive no longer defines a control sequence. This
	didn't always work because of the order in which options are
	processed. The presence of the option is now tested in babel.def
	with \@ifpackagewith. (PR 2452)

1997-03-18 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{Identification}): Added the macro
	\ProvidesLanguage to identify language definition files instead of
	using \ProvidesFile. This is done to prevent problems with the
	dummy definition of \ProvidesFile for plain based formats. Some
	other packages are confused by it. Now make sure that
	\ProvidesFile remains undefined in plain based packages. (PR 2444)

1997-03-15 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Added the possibilty to
	add option declarations in a file called bblopts.cfg.

	* kannada.dtx: Extended the user documentation with a description
	of the various font changing commands.

	* russianb.dtx : Removed the commands \textlatin, \latintext and
	\latinencoding as they are now defined by babel.def.

	* babel.dtx (subsection{Encoding issues}): Added the commands
	\textlatin, \latintext and \latinencoding to better support
	languages that need a different fontencoding. These commands used
	to be in russianb.dtx and greek.dtx.
	(subsection{marks}): Added redefinition of \markright and
	\markboth in order to be able to pass the language attribute to
	the headlines.

	* greek.dtx : Removed the commands \textlatin, \latintext and
	\latinencoding as they are now defined by babel.def.
	Removed the redefinition of \@roman and \@Roman which is also
	moved to babel.def

1997-03-12 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Added a default option
	that loads the file \CurrentOption.ldf if it exists. If not an
	error is signalled.

1997-03-11 Johannes Braams <babel@latex-project.org>

	* greek.dtx : Added the \greeknumeral and \Greeknumeral macros to
	support (old) greek conventions for number notation.

1997-03-06 Johannes Braams <babel@latex-project.org>

	* greek.dtx : Also change some uppercase codes to get ridd of
	accents and breathings in uppercase. (from kdgreek.sty)

1997-03-01 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Make shorthands active
	during the processing of the .aux file; this is at least needed to
	get citations correct. (PR2428)
	(subsection{Cross referencing macros}): Added a redefinition of
	\@newl@bel, which replaces the redefinitions of \@lbibitem and
	\newlabel. This needed to make the handling of citations correct.
	Changed the definition of \@testdef to match \@newl@bel
	

1997-02-28 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Added the
	setting of the @safe@actives switch in \@testdef; shorthands might
	occure in the first or second argument.

1997-02-25 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Now reset the
	safe@actives switch *inside* the second and third arguments of
	\ifthenelse in order to be able to use shorthands there.
	Suggested by Olaf Kummer <kummer@informatik.uni-hamburg.de> in
	PR 2421.

1997-02-24 Johannes Braams <babel@latex-project.org>

	* estonian.dtx : One \changes entry was mistakenly pointing to
	dutch. 

	* magyar.dtx : One \changes entry was mistakenly pointing to
	dutch. 

	* dutch.dtx : Changed a \changes entry, replace "\~ with "\~{} to
	prevent error messages. 
	(found by Ingo Saitz <ingo@baer.schneiderberg6.de>, PR 2426)

	* babel.dtx (subsection{Shorthands}): Now always start the user
	group of shorthands with the name `user' because of the provided
	definition for the case with an empty argument.

1997-02-23 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): commented out \peek@token
	and \test@token because shorthands are made expandable again.
	(subsection{Shorthands}): Changed \@decl@short in such a way that
	the control sequence that is constructed is different for a
	shorthand with no argument and for a shorthand with an empty
	argument.

1997-02-20 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Made \bbl@afterelse and
	\bbl@afterfi \long in order to be able to handle \par
	as the argument of a shorthand. This is needed in order to make
	shorthands fully expandable again.

1997-02-19 Johannes Braams <babel@latex-project.org>

	* greek.dtx : Added command \greek@tilde to stand for the tilde
	character; change definition of \~ to produce the tilde character
	when in greek typesetting. This is necessary to produce the
	desired ligature effect.
	Found by Rizos Sakellariou <rizos@cs.man.ac.uk> and by
	David Kastrup <dak@neuroinformatik.ruhr-uni-bochum.de> as PR 2422.

1997-02-12 Johannes Braams <babel@latex-project.org>

	* spanish.dtx : Metion in the user documentation that the
	'-character is only active when the option `activeacute' is
	specified. 
	Found by Josep Maria Font <font@cerber.mat.ub.es>

	* catalan.dtx : Added \l.l and \L.L to the table listing the
	special definitions for catalan.
	Found by Josep Maria Font <font@cerber.mat.ub.es>

1997-02-11 Johannes Braams <babel@latex-project.org>

	* english.dtx : fixed small documentation bug 
	Found by Josep Maria Font <font@cerber.mat.ub.es>

1997-02-07 Johannes Braams <babel@latex-project.org>

	* babel.dtx : Added sanskrit to the driver files

	* bbcompat.dtx: Added sanskrit

	* babel.ins: Added the processing of sanskrit.dtx

1997-02-06 Johannes Braams <babel@latex-project.org>

	* croatian.dtx : sijev{c}nja should be seij\v{c}nja and there
	should be a period after the year.
	Found by Ivo Batistic <ivo@ifs.hr>

1997-01-24 Johannes Braams <babel@latex-project.org>

	* sanskrit.dtx : Update Jan Takashima's original file to babel
	release 3.6

1997-01-23 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Added a couple of
	\expandafters to the end of hyphen.cfg as \toks8 is now cleared by
	LaTeX (release 1996/12/01), now copy contents of \toks into
	\everyjob instead of reference.
	(found by Richard Walker <Richard.Walker@cs.anu.edu.au> PR 2382
	Ulrik Vieth <vieth@thphy.uni-duesseldorf.de> PR 2385 and
	Vincent Jalby <jalby@unilim.fr>)

	* babel.ins: Added missing \usepreamble\mainpreamble line; changed
	1996 in 1997.

	* finnish.dtx: Forgot to remove the code that is now part of
	\LdfInit; hence babel.def was loaded twice which led to TeX fatal
	errors.
	(found by Niilo Siljamo <Niilo.Siljamo@Helsinki.FI> PR 2386)

1997-01-19 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx : Got the order of cs's wrong in the definition of
	\@tempcntb (found by Ricardo S. C\'armenes
	<carmenes@biosun.quimica.uniovi.es> PR 2376) 

1997-01-17 Johannes Braams <babel@latex-project.org>

	* babel.dtx: Somehow a lonely '+' had found its way into babel.dtx
	on a line of its own. Removed
	(found by Maarten Gelderman <mgelderman@ECON.VU.NL>)

1997-01-14 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Optionally disable the
	restoration of the category code of shorthand characters for those
	who want to have them available in the preamble of the document.
	(suggested by Tomas Bautista <bautista@cma.ulpgc.es>)

	* dutch.dtx : Added the "~ shorthand (copied from germanb.dtx) as
	suggested on TEX-NL@nic.surfnet.nl

	* bbplain.dtx : missing \@undefined added to definition of
	\@begindocumenthook; \newcount is an \outer macro, so it can't be
	used directly inside an \if test.
	(found by Daniel Flippo)
	 

	* babel.dtx (subsection{Cross referencing macros}): Added
	\bbl@redefine@long to be able to redefine \ifthenelse as a
	\long-command (PR2372)
	Changed redefinition of \ifthenelse to make it a \long-command
	(PR2372) 

1997-01-09 Johannes Braams <babel@latex-project.org>

	* frenchb.dtx : allow \l@french and \l@francais to be the `name'
	of the hyphenation patterns;  make \l@frenchb an alias for that.
	Use frenchb.cfg as the name of the .cfg file, regardless of the
	option that was used.
	(subsection{Formatting numbers}): New macros \nombre \decimalsep
	and \thousandsep added to format numbers
	(subsection{Extra utilities}): Removed \AllTeX, \fup, \french and
	\english 

	* babel.ins: Added .fd files to instructions at the end
	(found by Piet van Oostrum <piet@cs.ruu.nl> PR 2367)

	* greek.fdd (section{The encoding definition file}): Added
	(re)definitins of the \TeX and \LaTeX commands to make them
	encoding independant; added LGR versions of \copyright,
	\texttrademark, \textregistered and \ss

	* cyrillic.fdd (section{The encoding definition files}): Added
	(re)definitins of the \TeX and \LaTeX commands to make them
	encoding independant; added LCY/LWN versions of \copyright,
	\texttrademark, \textregistered and \ss
	(found by J"org Knappen <tex@dzdmza.zdv.uni-mainz.de>, PR 2357)

1997-01-08 Johannes Braams <babel@latex-project.org>

	* spanish.dtx,galician.dtx : Added \leavevmode to the definitinos
	of "a and "o because TeX generated an error when they were used in
	vertical mode.
	(found by Eric Gamess <eric@borabora.univalle.edu.co>, PR 2363)

	* babel.dtx (section{The Package File}): Added the options
	frenchb, UKenglish and USenglish (all aliases)
	(found by Daniel Flippo and Vincent Jalby <jalby@unilim.fr>)

1997-01-08 Johannes Braams <babel@latex-project.org>

	* galician.dtx : Removed unwanted space tokens by adding a
	%-token at the end of the lines with babel@save in the definition
	of \extrasgalician. They turned up in the output. (just like for
	spanish.dtx) 

	* catalan.dtx : Removed unwanted space tokens by adding a
	%-token at the end of the lines with babel@save in the definition
	of \extrascatalan. They turned up in the output. (just like for
	spanish.dtx) 

1997-01-07 Johannes Braams <babel@latex-project.org>

	* greek.fdd (section{The font definition files}): In some font
	substitutions kdgr hadn't been replaced with cmr.
	(found by J"org Knappen, PR2358)

	* babel.dtx (subsection{Multiple languages}): Introduced
	\foreign@language for the shared code between the otherlanguage*
	environment and the \foreignlanguage command.
	Switch off language shorthands before activating the extras (to
	prevent that the shorthands from one language are still available
	in the other.
	Add \relax after the setting of the hyphenmin parameters to
	prevent the disappearance of a token (when it happens to be a
	digit, such as \number\day).
	(found by Daniel Hempel <daniel@math.uni-hamburg.de> PR2362)

	* spanish.dtx : Removed two unwanted space tokens by adding a
	%-token at the end of the lines with babel@save in the definition
	of \extrasspanish. They turned up in the output.
	(found by Daniel Hempel <daniel@math.uni-hamburg.de> PR2362)

	* bbplain.dtx (section{Support for formats based on
	\textsc{plain}\TeX}): add definition of \@begindocumenthook to the
	LaTeX2.09 format; otherwise it won't function without one of the
	languages loaded.
	(found by Olaf Weber <Olaf.Weber@cwi.nl>)

1997-01-06 Johannes Braams <babel@latex-project.org>

	* dutch.dtx (section{The Dutch language}): Use Bew"ys instead of
	Bewijs (PR 2360, J"org Knappen)

	* esperant.dtx (section{The Esperanto language}): Fixed typo in
	table caption (funtion -> function) (PR 2360, Knappen)

	* tb1202.tex, tb1401.tex: fixed a few typos found by Ulrik Vieth,
	<vieth@thphy.uni-duesseldorf.de> (PR 2356)

1997-01-05 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): When \LdfInit is
	undefined we need to load babel.def from babel.sty.
        When \file{hyphen.cfg} is not loaded in the format \cs{l@english}
        might not be defined; assume english is language 0 before calling
        \main@language{english}.
	(found by J"org Knappen <tex@mzdmza.zdv.uni-mainz.de> PR2354)

1997-01-02 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx : The redefinition of \dump tried to detect
	LaTeX2.09; it did that with \document; that cs is also defined by
	AMSTeX, hence an error occured building a Babel-AMSTeX format.
	Now use \@ztryfc to detect LaTeX2.09 (Hope that is obscure
	enough). (Found by Thomas Esser)

1996-12-30 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Support for extending macros}): Added a
	check for an expansion of \relax to the definition of \addto;
	\addto\x{...} yields \x -> {\x ...} when \x expands to \relax.
	This results in a stack overflow when \x is called.

1996-12-29 Johannes Braams <babel@latex-project.org>

	* italian.dtx, russian.dtx : Added braces around second argument
	of \LdfInit
	(found by <tim@maths.tcd.ie> (Timothy Murphy), PR 2384)  

	--------------------------------------------------------
1996-12-24 Johannes Braams <babel@latex-project.org>

	Release 3.6

1996-12-14 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Added the option
	`welsh'.

1996-11-07 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): \selectlanguage now
	checks for the existence of \date<lang> instead of \l@<lang>. The
	latter might be defined, without the language definition file
	being loaded. 

1996-10-29 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Renamed \init@ldf
	and \finish@ldf to \LdfInit, \ldf@finish and introduce
	\quit@ldf. The second argument of \ldf@init can now be either a
	control sequence or a string to be passed to \csname.
	(subsection{Cross referencing macros}): Added (conditional)
	redefinition of \@@vpageref (varioref internal macro) to prevent
	problems with active characters (PR 2292)

1996-10-17 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Added the commands
	\init@ldf and \finish@ldf to ease the  maintenance of the
	.ldf-files.

1996-10-16 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): \main@language now
	also sets \languagename and \l@<languagename> for use by other
	packages in the preamble of a document 
	(suggested by Jan Vroonhof <vroonhof@math.ethz.ch>)

1996-10-08 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx : Make this file be processed twice, once during
	format generation, but only a small portion of the file is loaded
	into the format, the second time the file is processed is when it
	is loaded from babel.def. This way some code that is not needed in
	the format gets removed and the plain format with babel is no
	longer incompatible with german.sty.

1996-10-04 Johannes Braams <babel@latex-project.org>

	* dutch.dtx: Merged in the definitions for `afrikaans' as supplied
	by Stoffel Lombard <lombc@b31pc87.up.ac.za>

	* bbcompat.dtx: Added support for `afrikaans'

	* babel.dtx (section{The Package File}): Added option `afrikaans'

1996-09-21 Johannes Braams <babel@latex-project.org>

	* slovene.dtx : removed shorthand for \texttt{"L} as it is not
	needed for slovenian according to Primoz Peterlin
	<peterlin@biofiz.mf.uni-lj.si>.

1996-09-20 Johannes Braams <babel@latex-project.org>

	* catalan.dtx : Added a check for mathmode to the definitino of
	\lgem and \Lgem, as the use of these in mathmode makes no sense
	according to Goncal Badenes. Not having the check led to an error
	message (PR 2261)

1996-08-18 Johannes Braams <babel@latex-project.org>

	* polish.dtx : The macros \sob, \spb and \skb need to call
	\leavevmode; when they are encountered in vertical mode TeX issues
	an error about \lower not being allowed in vertical mode. (found
	by Wlodzimierz Macewicz <macewicz@ia.pw.edu.pl>)

	* babel.dtx (subsection{Cross referencing macros}): In order to
	prevent problems while reading .fd files in the middle of a
	document we need to add the " and ' characters to \nfss@catcodes
	untill LaTeX does that herself. (found by Tomas	Bautista
	<bautista@cma.ulpgc.es>) 

1996-08-15 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx : Added default (semi-NFSS2) definition of \ss and
	\i because german.sty in combination with a babel format creates
	an endless lopp on those glyphs. (Found by Bernd Raichle)

	* danish.dtx : According to Peter Busk Laursen the shorthand "'
	needs to typeset the german closing double quote (``). He also
	suggested to add the definitions for "~ and "=

1996-08-13 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Top level expansion of
	\normal@char<char> where the shorthand character is already active
	should be the expansion of the active character, not the active
	character itself as this causes an endless loop (found by Tomas
	Bautista <bautista@cma.ulpgc.es>)

1996-08-11 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Redefinition
	of \ifthenelse added to circumvent problems with \pageref in the
	argument of \isodd (PR's 947, 2053, 2150, 2225)

1996-08-09 Johannes Braams <babel@latex-project.org>

	* bahasa.dtx: Added the setting of the hyphenmin parameters
	(PR2232)

1996-07-13 Johannes Braams <babel@latex-project.org>

	* bbcompat.dtx: Added .sty files and definition of \CurrentOption
	for language definition files that are loaded by more than one
	option

1996-07-12 Johannes Braams <babel@latex-project.org>

	* frenchb.dtx: moved support for multiple options using the same
	.ldf file out of babel.sty into .ldf file.
	Rearranged .dtx file to remove long lines of documentation and
	code. 

1996-07-11 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Moved all code necessary
	to support multiple options to load the same language definition
	file into those language definition files. (PR2213)

	* portuges.dtx, norsk.dtx, magyar.dtx: moved support for multiple
	options using the same .ldf file out of babel.sty into .ldf
	files. 

1996-07-10 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx : Added the definition of \scriptsize,
	\textquoteright and \textquotedblright (PR 2216)

	* language definition files : Consistently use \@undefined instead
	of \undefined and \@empty instead of \empty (PR 2213)

	* english.dtx, german.dtx : moved support for multiple options
	using the same .ldf file out of babel.sty into .ldf files.
	
1996-07-09 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx : Consistently use \@undefined instead of \undefined
	and remove the use of \patterns@loaded (PR 2213)
	Added definition of \@empty; use it instead of \empty

	* babel.dtx (subsection{Multiple languages}): Removed the use of
	the control sequence \bbl@eq@ (PR 2213)
	(section{Identification}): Save a few csnames by using \bbl@tempa
	instead of \@ProvidesFile store the \everyjob message immediately
	in \toks8 (PR 2213)
	Consistently use \@undefined instead of \undefined (PR 2213)
	Use \@empty instead of \empty to be consistent with \LaTeX
	(PR 2133) 

	* bahasa.dtx : Added translation of `Proof' as suggested by
	knappen@vkpmzd.kph.uni-mainz.de (J"org Knappen) (PR 2214)

	** released Babel 3.6-beta **
 	
1996-07-06 Johannes Braams <babel@latex-project.org>

	* babel.dst: Added the generation of the font description files to
	the main installation file. (PR 2208)

	* babel.dtx : added greek to the driver files, input russianb.dtx
	instead of russian.dtx, define \Babel in driver file (PR 2209)
	Removed an extra closing brace in changes entry for \dj (PR 2208)

	* esperant.dtx : Added translation of `Proof' as suggested by
	knappen@vkpmzd.kph.uni-mainz.de (J"org Knappen) (PR 2207)

1996-05-30 Johannes Braams <babel@latex-project.org>

	* germanb.dtx : added \allowhyphens in the definitions of "a, "o,
	"u, "A, "O, "U, because the underlying macro \lower@umlaut can not
	cntain a \allowhyphens. The reason is that for *dutch* we need to
	use discretionaries for these same characters in order to make the
	trema disappear at a word break. A \allowhyphens inside one of the
	arguments of \discretiionary leads to a TeX error.

1996-05-29 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Added an environment
	otherlanguage* wich does not switch the captions and date strings,
	only hyphenation and extras.

1996-04-18 Johannes Braams <babel@latex-project.org>

	* magyar.dtx : Added translation of `Proof' as suggested by
	Alexin Zoltan <alexin@sol.cc.u-szeged.hu> and changed some of the
	translations as suggested by Peter Rajczy <rajczy@caesar.elte.hu>.

1996-04-09 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}):
	\bbl@redefinerobust made non-robust macros; fixed adding \space in
	the final line of code.

1996-04-02 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Umlauts and trema's}): Added a
	\allowhyphens in the definition of \lower@umlaut

1996-04-01 Johannes Braams <babel@latex-project.org>

	* norsk.dtx : Added translation of `Proof' as suggested by
	Orjan Johansen <oerjan@matstat.unit.no>

1996-03-28 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Letters}): Replaced the definitions of
	\dj@ and \DJ@ with the ones found in PR 2058 (contributed by
 	Sime Ungar <ungar@math.hr> and David Carlisle)

1996-03-06 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Added a system level
	shorthand for the ` to prevent an endless loop when the user
	enters `{}blah in his document.

	* catalan.dtx : Added `` as a shorthand for the double left quote;
	getting a single quote and an accented letter from the input ``a
	is not quit what would be expected.

1996-02-12 Johannes Braams <babel@latex-project.org>

	* czech.dtx (section{The Czech language}): Fixed tow errors found
	by Petr Sojka <sojka@daeron.fi.muni.cz> (PR #2082) and added
	translation for `Proof'

1996-01-25 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Store and restore the lccode
	of the ~-character so it remains unchanged by
	\initiate@active@char

1996-01-24 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Macros common to a number of languages}):
	Moved \german@dq@disc, \usorbian@dq@disc and \swedish@dq@disc to
	babel.def, changing the name to \bbl@disc

1996-01-21 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Revert the
	previous change; \@setref gets expanded too late which results in
	TeX errors because the active character isn't redefined when TeX
	tries to use it in constructing a csname.

1996-01-19 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Redefine
	\@setref instead of \ref and \pageref for LaTeX2e. This (partly)
	solves PR0947 which complains about pageref being used in the
	argument of \ifthenelse. This now works as long as the label
	doesn't contain active characters.

1996-01-18 Johannes Braams <babel@latex-project.org>

	* croatian.dtx : Added translation of the word `Proof' and changed
	the definition of \datecroatian according to the suggestion by
	Sime Ungar <ungar@math.hr> in bug report 2060.

1996-01-16 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Use
	\strip@prefix only on bbl@tempa (in \@testdef) when \bbl@tempa <>
	\relax! 

1996-01-15 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx: Added the code that implements \newcommand (or
	enough of it to make \ProvideTextCommandDefault and friends
	work).

1996-01-10 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Now use frenchb.dtx from
	Daniel Flipo as the source for french support in Babel.

1996-01-09 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Deal with charcters that are
	already active: define the top level expansion inside the \if
	branch of the category code test; define all lower level expansion
	macros needed for the shorthand stuff after of the \else branch
	(subsection{Cross referencing macros}): Complete rewrite of
	\@testdef using meaning to prevent endless complaints from LaTeX
	about possibly changed labels.

1995-12-01 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands}): Reset the category code of a
	shorthand char at the end of the package and re-activate it at
	begin document.

1995-11-25 Johannes Braams <babel@latex-project.org>

	* tb1202.tex, tb1401.tex: Made it possible to run it through LaTeX
	without having ltugboat.cls available; also updated address
	information.

	* portuges.dtx : Added translation of the word `Proof' for both
	Portuguese and Brazilian

1995-11-19 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx: Add execution of the begin document hook to
	\@preamblecmds for LaTeX2.09

1995-11-17 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx: Added \@onlypreamble and handling of this

1995-11-16 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Changed the
	definition of \selectlanguage and \selectlanguage_; the former no
	longer processes its argument, that task is now performed by
	\selectlanguage_

1995-11-15 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Added the
	commands \bbl@redefine and \bbl@redefinerobust and used them to
	redefine \newlabel, \@testdef, \ref, \pageref, \label, \@citex,
	\nocite, \bibcite, \@bibitem, \@lbibitem

1995-11-11 Johannes Braams <babel@latex-project.org>

	* francais.dtx : Added setting of the lowercase code of the ' to
	improve hyphenation 

1995-11-11 Johannes Braams <babel@latex-project.org>

	* galician.dtx : Added '' as shorthand to produce the expected
	effect. 

1995-11-10 Johannes Braams <babel@latex-project.org>

	* catalan.dtx : Added setting of the lowercase code of the ' to
	improve hyphenation
	(As suggested by Claudio Beccari <BECCARI@polito.it>)

	* italian.dtx : Added setting of the lowercase code of the ' to
	improve hyphenation 
	(As suggested by Claudio Beccari <BECCARI@polito.it>)

	* romanian.dtx :  Added translation of the word `Proof'

1995-11-08 Johannes Braams <babel@latex-project.org>

	* bbplain.dtx: Added the code that `snatched' \dump as it is still
	needed for LaTeX 2.09

	* babel.dtx (subsection{Multiple languages}): Removed the code
	that `snatched' \dump as it is no longer needed for LaTeX.

1995-11-06 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): No longer use
	\bblref_ as a cs; instead use \ref_ and check if it isn't defined
	already.  (PR 1851)

1995-11-03 Johannes Braams <babel@latex-project.org>

	* slovene.dtx : New translation of Index; replaced slovanian with
	slovenian. 

	* swedish.dtx : Added translation of Proof (PR 1904)

1995-09-05 Johannes Braams <babel@latex-project.org>

	* germanb.dtx : Use \glqq, \grqq, \flqq and \frqq in the
	definitions of "` "' "< and ">

	* babel.dtx (subsection{Shorthands for quotation marks}): Use
	\textormath in the definitions; added some kerning for german
	right quotation marks.

	* catalan.dtx: Added '| to disable the accent when an apostrophe
	is wanted.

1995-08-31 Johannes Braams <babel@latex-project.org>

	* germanb.dtx : Added \allowhyphens to the accent producing
	shorthands. Not having it prevented hyphenation for accented words
	in OT1 encoding. Having it means that TeX possibly misses a
	possible breakpoint. Putting \allowhyphens into the definition of
	\lower@umlaut (which would make it not appear at all in T1
	encoding) is a no-no because it leads to improper discretionary
	errors for dutch (were trema's have to disappear when the word is
	hyphenated next to the trema). (PRs 1118, 1147, 1714, 1846)

1995-08-30 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Added a missing
	%-character in the definition of \selectlanguage (PR1841)

	* francais.dtx : Added a missing %-character in the definition of
	\captionsfrancais (PR1841)

1995-08-17 Johannes Braams <babel@latex-project.org>

	* spanish.dtx, catalan.dtx, galician.dtx: Combining
	\initiate@active@char and \bbl@activate in one \@ifpackagewith
	statement leads to an error message about an \inaccessible control
	sequence from \select@language. For now split these statements.

1995-08-07 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Shorthands for quotation marks}):
	Corrected the spelling of \quil... to \guil...

1995-07-29 Johannes Braams <babel@latex-project.org>

	* francais.dtx : Removed the \space from the definition of the
	shorthands. It is not necessary.

1995-07-27 Johannes Braams <babel@latex-project.org>

	* esperant.dtx: Added a few ^-shorthands

	* estonian.dtx : Removed the code to change category and oher
	codes. 

	* italian.dtx : Added translation of the word `Proof'

	* estonian.dtx : Added translation of the word `Proof'; fixed bug
	where the second argument of \DeclareShorthand was missing.

1995-07-25 Johannes Braams <babel@latex-project.org>

	* slovene.dtx,finnish.dtx : Added translation of the word `Proof'

	* irish.dtx : load irish.cfg instead of danish.cfg

	* babel.dtx (subsection{Multiple languages}): Use \empty instead
	of \@empty in the test for the hyphenation exception file; \@empty
	is undefined in plain.

	* bbplain.dtx: Added definition of \loadlocalcfg for plain (found
	by Enn Saar)

1995-07-10 Johannes Braams <babel@latex-project.org>

	* catalan.dtx : Added translation of the word `Proof'

1995-07-09 Johannes Braams <babel@latex-project.org>

	* spanish.dtx, galician.dtx: made the use of the active acute
	accent optional.

1995-07-08 Johannes Braams <babel@latex-project.org>

	* catalan.dtx: Removed support for ~n; add `` and '' as
        shorthands.

1995-07-07 Johannes Braams <babel@latex-project.org>

	* francais.dtx, breton.dtx: Postpone the declaration of the
        TextCompositeCommands untill \AtBeginDocument

1995-07-04 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Added the options
	activegrave and activeacute.

	* catalan.dtx: Made the activation of the grave and acute accents
	optional 

        * esperant.dtx, dutch.dtx, english.dtx, germanb.dtx, breton.dtx,
	irish.dtx, scottish.dtx, italian.dtx, portuges.dtx, swedish.dtx,
	magyar.dtx, croatian.dtx, czech.dtx, estonian.dtx, polish.dtx,
	romanian.dtx, slovak.dtx, slovene.dtx, turkish.dtx, lsorbian.dtx,
	usorbian.dtx, bahas.dtx: Added \proofname to captions and added
	loading local configuration file.

	* babel.dtx (subsection{Cross referencing macros}): Use a
	different control sequence for making \ref and \pageref robust to
	prevent a clash with the showkeys package.

1995-07-03 Johannes Braams <babel@latex-project.org>

	* galician.dtx: Changed behaviour of 'a etc. to expand to
	"^{\prime} a" in mathmode.

	* spanish.dtx: Changed behaviour of 'a etc. to expand to
	"^{\prime} a" in mathmode; added \proofname to captions; added
	loading local configuration file.

	* catalan.dtx: Added Goncal's changes; changed behaviour of 'a
	etc. to expand to "^{\prime} a" in mathmode; added \proofname to
	captions; added \llgem and \Lgem; added loading local
	configuration file.

1995-07-02 Johannes Braams <babel@latex-project.org>

	* galician.dtx: Added comments from Manual Carriba, added
	\proofname to captions; added seting of \frenchspacing and added
	loading local configuration file.

	* francais.dtx: Also allow the hyphenation patterns to be loaded
	for `french', added \proofname to captions; and added loading
	local configuration file.

	* finnish.dtx: Now also has active double quote; added by Niilo
        Siljamo <siljamo@cc.helsinki.fi>, added \proofname to captions;
	and added loading local configuration file.

	* danish.dtx : Added \proofname to captions; added seting of
	\frenchspacing and added loading local configuration file.

	* babel.dtx (section{The Package File}): Load language definition
	files *after* manipulating with the identifaction of the
	hyphenation patterns; load french.ldf (from Bernard Gaulle's
	french package) if it exists.

1995-06-19 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Added missing brace
	in definition of \@activated for plain TeX, found by
	te@informatik.uni-hannover.de

1995-06-16 Johannes Braams <babel@latex-project.org>

	* estonian.dtx: corrected typos

1995-06-14 Johannes Braams <babel@latex-project.org>

	* babel.dtx : Changed the order of typesetting the documentation
	for the various languages (PR1652)

	* scottish, irish.dtx, esperant.dtx, spanish.dtx, babel.dtx,
	glyphs.dtx: corrected typos (PR1652) 

	* language.dat: finally corrected typo langauge (PR1656)

	* babel.dst: corrected typos (ldfle -> style, PR1654)

	* install.txt: corrected typo (PR1653)

1995-06-08 Johannes Braams <babel@latex-project.org>

	* danish.dtx: Added active double quote character as suggested by
	Peter Busk Laursen.

1995-06-06 Johannes Braams <babel@latex-project.org>

	* estonian.dtx: New language definition file, provided by Enn
	Saar, updated for Babel release 3.5

	* scottish.dtx: New language definition file

1995-06-04 Johannes Braams <babel@latex-project.org>

	* polish.dtx: Update for babel release 3.5

	* slovene.dtx : Introduced the active " for this language; used
	for accessing hacek characters and other common usage.

	* portuges.dtx: Added brasilian captions, the usage of
	"-shorthands and macros for ordinals.  

	* dutch.dtx : added "" shorthand

1995-06-03 Johannes Braams <babel@latex-project.org>

	* francais.dtx : Added system level shorthands for the active
	characters to prevent them from gobbling up a following space

1995-06-02 Johannes Braams <babel@latex-project.org>

	* swedish.dtx: Use \finnishhyphenmins to store the correct values
	of \lefthyphenmin and \righthyphenmin as suggested in PR1606.

1995-05-29 Johannes Braams <babel@latex-project.org>

	* swedish.dtx: Updated for release 3.5

1995-05-28 Johannes Braams <babel@latex-project.org>

	* swedish.dtx: Updated for release 3.5

	* usorbian.dtx: Updated for release 3.5

	* italian.dtx: Updated for release 3.5

1995-05-25 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Added the option
	brazilian as an alternative for brazil; added the copying of
	\<lang>hyphenmins when alternatives are provided.

	* romanian.dtx: Updated for release 3.5

1995-05-15 Johannes Braams <babel@latex-project.org>

	* turkish.dtx: Updated for release 3.5

	* finnish.dtx: Added setting of \frenchspacing for finnish text

1995-05-13 Johannes Braams <babel@latex-project.org>

	* finnish.dtx: Use \finnishhyphenmins to store the correct values
	of \lefthyphenmin and \righthyphenmin as suggested in PR1606;
	also set a number of hyphenation parameters, as suggested in
	PR1027.

	* germanb.dtx: Use \germanhyphenmins to store the correct values
	of \lefthyphenmin and \righthyphenmin.

	* dutch.dtx: Use \dutchhyphenmins to store the correct values of
	\lefthyphenmin and \righthyphenmin.

	* babel.dtx (subsection{Multiple languages}): Changed
	\selectlanguage to first store the name of the current language in
	a control sequence and then passing the contents of the control
	sequence to \selectlanguage_ instead of passing the entire
	construct which strips the optional escape character.
	Seperated the setting of \lefthyphenmin and \righthyphenmin, using
	the new macro \set@hyphenmins. The values shoud be stored in
	\<language>hyphenmins. 
	No longer store the values of \lefthyphenmin and \righthyphenmin
	which were set in the pattern file through code in
	\extras<language>, but store them in \<language>hyphenmins.

1995-05-05 Johannes Braams <babel@latex-project.org>

	* finnish.dtx: Updated for release 3.5
	* bahasa.dtx: Updated for release 3.5

1995-05-03 Johannes Braams <babel@latex-project.org>

	* tb1401.tex: Changed name from babel-new.tex and updated the
	coding to make it processable with LaTeX2e

	* tb1202.tex: Changed name from tb-article.tex and updated the
	coding to make it processable with LaTeX2e

1995-04-28 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Added the
	possibility to add a the name of a file with hyphenation
	exceptions to the configuration file language.dat. Now also
	support `synonyms' for languages. Both on request from Bernard
	Gaulle. 

1995-03-14 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{The Package File}): Changed the extension of
	the languages definition files to .ldf to clearly distinguish them
	for the files in the previous release.

	* magyar.dtx: Updated for release 3.5
	* galician.dtx: Updated for release 3.5, using the new active
	character handling mechanism.
	* catalan.dtx: Updated for release 3.5, using the new active
	character handling mechanism.
	* spanish.dtx: Updated for release 3.5, using the new active
	character handling mechanism.
	* portuges.dtx: Updated for release 3.5
	* lsorbian.dtx: new file in release 3.5
	* languages.skeleton: Updated for release 3.5

1995-03-10 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Support for active characters}): Added a
	check for the ' in \initiate@active@char
	Replaced 16 system level shorthands to deal with hexadecimal
	numbers by one.
	Added a system shorthand for the '; when it is active its usage in
	mathmode needs special care.

1995-03-07 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Made \ref and
	\pageref robust to prevent the problem reported in PR 1353.

1995-03-04 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Changed the name of
	\p@selectlanguage to \csname selectlanguage \endcsname;
	Rewrote the entire handling of active chars.

1995-02-17 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Multiple languages}): Added \main@language
	to be able to postpone the execution of \selectlanguage. It now
	also happens only once, not for every language loaded.

1995-02-16 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsubsection{Support for active `hat'}): this
	section added.

1995-02-15 Johannes Braams <babel@latex-project.org>

	* germanb.dtx: Removed a lot of code that is now present in
	babel.def (things like \flqq, the double quote mechanism, etc.);
	Use \Declaredq now.
	Brought up to date with german.sty version 2.5b

	* babel.dtx (subsection{Multiple languages}): Added the command
	\@activated to be used for logging when characters are made
	active. Introduced the \if@safe@actives switch which should be
	checked on the highest level expansion of an active
	character. This first expansion is defined by \UseActive.
	(subsection{Cross referencing macros}): Removed the meaning trick
	and introduced the use of the \if@safe@actives switch. Not all
	cross referencing macros need to be aware of this switch.

	* dutch.dtx: Moved the definition of the opening quote character
	and \ij and \IJ to glyphs.dtx

	* glyphs.dtx (section{Making glyphs available}): New file to
	collect all definitions of missing glyphs for all languages. The
	code will be part of babel.def

1995-02-12 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Support for active characters}): Added
	\Activate and \Deactivate instead of \Activatedq and \Deactivatedq
	as this form is more generic.

1995-02-11 Johannes Braams <babel@latex-project.org>

	* english.dtx: Moved identification code to the top.

1995-02-09 Johannes Braams <babel@latex-project.org>

	* esperant.dtx: Moved identification code to the top.

1995-02-04 Johannes Braams <babel@latex-project.org>

	* dutch.dtx: Updated this language definition file to make use of
	the new support macros. Also implemented support for both OT1 and
	T1 encoding. Changed the kerning in the faked ij-characters to
	match the dc-versions more closely.

	* babel.dtx (subsection{Support for active double quote}): Added
	this section with generic macros to support making the double
	quote character active. A language definition file now only needs
	call \Activatedq and use \Declaredq{}{}{} to define its actions.

1995-02-01 Johannes Braams <babel@latex-project.org>

	* english.dtx (section{The English language}): Only define
	american as a dialect when no patterns have been loaded for it.
	(PR #735)

1995-01-31 Johannes Braams <babel@latex-project.org>

	* polish.dtx (section{The Polish language}): The definition of "C
	incorrectly used \'c instead of \'C. (PR #1401)

	* turkish.dtx (section{The Turkish language}): removed an extra
	closing brace and added a missing \def (PR #1397)
	\mont should be \month (PR #1398)

1995-01-25 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{Identification}): lthyphen.cfg has changed
	its name; now called hyphen.cfg.
	(section{The Package File}): Added a warning about using T1
	fontencoding giving unexpected results.

1994-11-09 Johannes Braams <babel@latex-project.org>

	* galician.dtx (section{The Catalan language}): Added a few
	missing translations and corrected marzal to marzo in the date.

	* catalan.dtx (section{The Catalan language}): Added a few
	missing translations.

	* portuges.dtx (section{The Portuguese language}): Added a few
	missing translations.

1994-08-30 Johannes Braams <babel@latex-project.org>

	* babel.dtx (subsection{Cross referencing macros}): Moved the last
	%</def> inside the macrocode environment. Noted by Frank Poppe
	<poppe@swov.nl> 

1994-08-26 Johannes Braams <babel@latex-project.org>

	* babel.dst: fixed typo (lhyphen -> lthyphen)

1994-07-12 Johannes Braams <babel@latex-project.org>

	* finnish.dtx: Added a `.' after the day in the output of \today
	for finnish 

1994-07-03 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{Identification}): The line with \ProvidesFile
	was missing from both babel.drv and user.drv.
	Added code to \process@language to detect whether the patterns
	file also contains assignments to \left- and \righthyphenmin. When
	it doesn't supply a default setting of 2 and 3; store the setting
	in \extras<language>. Added \@nopatterns, to be used in the
	language specific files. 
	Also use \PackageError and \PackageWarning when they are
	available. 

	* language.dat : Commented out dutch, used the default name for
	the american english hyphenation patterns, hyphen.tex. Added a
	(commented out) line showing ukhyphen.tex.

1994-06-30 Johannes Braams <babel@latex-project.org>

	* language.skeleton:  Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* slovak.dtx: Removed the references to babel.com

	* finnish.dtx: Removed the references to babel.com

1994-06-26 Johannes Braams <babel@latex-project.org>

	* bahasa.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* turkish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* slovene.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* romanian.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* polish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* czech.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* magyar.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* finnish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* swedish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* norsk.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* danish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* galician.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning
	Renamed \acute and \tilde to \texacute and \texttilde because of a
	clash with \mathaccent's

	* catalan.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning
	Renamed \acute and \tilde to \texacute and \texttilde because of a
	clash with \mathaccent's

	* spanish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* portuges.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* italian.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* francais.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* germanb.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* english.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* dutch.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

1994-06-25 Johannes Braams <babel@latex-project.org>

	* esperant.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* babel.dtx (subsection{Multiple languages}): Added \@nopatterns,
	to be used in the language specific files. Also use \PackageError
	and \PackageWarning when they are available.

1994-06-24 Johannes Braams <babel@latex-project.org>

	* babel.dtx (section{Identification}): redid this bit and made
	sure the files are processable with plain TeX. Supply a dummy
	definition of \ProvidesFile.
	(subsection{Multiple languages}): Added code to
	\process@language to detect whether the patterns file also
	contains assignments to left- and righthyphenmin. When it doesn't
	supply a default setting of 2 and 3; store the setting in
	\extras<language>.
	

1994-06-09 Johannes Braams <babel@latex-project.org>

	* esperant.dtx: Removed a superfluous | from the code that
	activates the ^

1994-06-08 Johannes Braams <babel@latex-project.org>

	* Makefile: added install.txt

1994-06-05 Johannes Braams <babel@latex-project.org>

	* babel.dtx: Repaired mal-formed changes entries (`babel~' was
	missing.

	* italian.dtx: Repaired mal-formed changes entry (`italian-' was
	missing.

	* danish.dtx: Repaired mal-formed changes entry (`danish-' was
	missing.

	* swedish.dtx: Repaired mal-formed changes entry (`swedish-' was
	missing).

	* babel.dst: Added a few missing }

	* install.txt: Added a remark about producing the full source
	listing. 

	* babel.dst: Added the production if bbidx.ist and bbglo.ist

	* Makefile: Added bbidxglo

	* slovene.dtx (section{The Slovanian language}): Removed < and >
	from a \changes entry to prevent a problem when generating the
	glossary file.

	* babel.dtx (subsection{Identification}): Wrong docstrip guard
	nesting resulted in a superfluous line in lthyphen.cfg
	Updated Checksum

1994-06-04 Johannes Braams <babel@latex-project.org>

	* language.skeleton: Updated for LaTeX2e; included the small
	driver. 

	* czech.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* croatian.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* slovene.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	(section{The Slovanian language}): Added extra tranlations from
	Josef Leydold, <leydold@statrix2.wu-wien.ac.at

	* romanian.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* turkish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	(section{The Turkish language}): Added braces behind the use of \i
	to prevent a lot of undefined macros.

	* norsk.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* swedish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* babel.ins: lhyphen.cfg has now to be called lthyphen.cfg.

	* babel.dtx (subsection{Macros common to a number of languages}):
	An end of line ended up in the middle of a || expression.

	* slovak.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	Added setting of \lefthyphenmin and \righthyphenmin.

	* finnish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* magyar.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* polish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	Changed the table describing the conventions to really describe
	what is iomplemented.
	Tried to initialize polish letters by calling \texptl; this should
	have been \textpl.

	* danish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	(section{The Danish language}): Peter Busk Larsen proposed a few
	changes to the translations.

1994-05-19 Johannes Braams <babel@latex-project.org>

	* galician.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* catalan.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* spanish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* portuges.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* italian.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode. Added some of the
	suggestions from Claudio Beccari. The others wil have to wait.

	* francais.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* germanb.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

1994-05-18 Johannes Braams <babel@latex-project.org>

	* dutch.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* esperant.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* bahasa.dtx: Added a small driver to the top of the file.
	Added missing \begin{macrocode}.
	Removed the use of \wlog from native mode.

	* babel.dtx (driver): use the ltxdoc class
	Added a small driver to the top of the file as an addition to the
	large drivers.
	Removed the use of \wlog from native mode.

